package com.ruoyi.back.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 提前批对象 pd_enrolldata_enter_pre
 * 
 * @author voluntary
 * @date 2022-12-09
 */
public class PdEnrolldataEnterPre extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private String id;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String provinceCode;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String provinceName;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long year;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String batch;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String course;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String eduLevel;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String dataType;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String title;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String collegeCode;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String collegeEnrollCode;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String collegeName;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String majorCode;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String professionEnrollCode;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String majorName;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String cost;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String learnYear;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String learnYearText;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long planNum;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String chooseSubject;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String chooseSubject2;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String chooseSubjectText;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long rowIndex;

    /** 省份 */
    @Excel(name = "省份")
    private String location;

    public void setId(String id) 
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }
    public void setProvinceCode(String provinceCode) 
    {
        this.provinceCode = provinceCode;
    }

    public String getProvinceCode() 
    {
        return provinceCode;
    }
    public void setProvinceName(String provinceName) 
    {
        this.provinceName = provinceName;
    }

    public String getProvinceName() 
    {
        return provinceName;
    }
    public void setYear(Long year) 
    {
        this.year = year;
    }

    public Long getYear() 
    {
        return year;
    }
    public void setBatch(String batch) 
    {
        this.batch = batch;
    }

    public String getBatch() 
    {
        return batch;
    }
    public void setCourse(String course) 
    {
        this.course = course;
    }

    public String getCourse() 
    {
        return course;
    }
    public void setEduLevel(String eduLevel) 
    {
        this.eduLevel = eduLevel;
    }

    public String getEduLevel() 
    {
        return eduLevel;
    }
    public void setDataType(String dataType) 
    {
        this.dataType = dataType;
    }

    public String getDataType() 
    {
        return dataType;
    }
    public void setTitle(String title) 
    {
        this.title = title;
    }

    public String getTitle() 
    {
        return title;
    }
    public void setCollegeCode(String collegeCode) 
    {
        this.collegeCode = collegeCode;
    }

    public String getCollegeCode() 
    {
        return collegeCode;
    }
    public void setCollegeEnrollCode(String collegeEnrollCode) 
    {
        this.collegeEnrollCode = collegeEnrollCode;
    }

    public String getCollegeEnrollCode() 
    {
        return collegeEnrollCode;
    }
    public void setCollegeName(String collegeName) 
    {
        this.collegeName = collegeName;
    }

    public String getCollegeName() 
    {
        return collegeName;
    }
    public void setMajorCode(String majorCode) 
    {
        this.majorCode = majorCode;
    }

    public String getMajorCode() 
    {
        return majorCode;
    }
    public void setProfessionEnrollCode(String professionEnrollCode) 
    {
        this.professionEnrollCode = professionEnrollCode;
    }

    public String getProfessionEnrollCode() 
    {
        return professionEnrollCode;
    }
    public void setMajorName(String majorName) 
    {
        this.majorName = majorName;
    }

    public String getMajorName() 
    {
        return majorName;
    }
    public void setCost(String cost) 
    {
        this.cost = cost;
    }

    public String getCost() 
    {
        return cost;
    }
    public void setLearnYear(String learnYear) 
    {
        this.learnYear = learnYear;
    }

    public String getLearnYear() 
    {
        return learnYear;
    }
    public void setLearnYearText(String learnYearText) 
    {
        this.learnYearText = learnYearText;
    }

    public String getLearnYearText() 
    {
        return learnYearText;
    }
    public void setPlanNum(Long planNum) 
    {
        this.planNum = planNum;
    }

    public Long getPlanNum() 
    {
        return planNum;
    }
    public void setChooseSubject(String chooseSubject) 
    {
        this.chooseSubject = chooseSubject;
    }

    public String getChooseSubject() 
    {
        return chooseSubject;
    }
    public void setChooseSubject2(String chooseSubject2) 
    {
        this.chooseSubject2 = chooseSubject2;
    }

    public String getChooseSubject2() 
    {
        return chooseSubject2;
    }
    public void setChooseSubjectText(String chooseSubjectText) 
    {
        this.chooseSubjectText = chooseSubjectText;
    }

    public String getChooseSubjectText() 
    {
        return chooseSubjectText;
    }
    public void setRowIndex(Long rowIndex) 
    {
        this.rowIndex = rowIndex;
    }

    public Long getRowIndex() 
    {
        return rowIndex;
    }
    public void setLocation(String location) 
    {
        this.location = location;
    }

    public String getLocation() 
    {
        return location;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("provinceCode", getProvinceCode())
            .append("provinceName", getProvinceName())
            .append("year", getYear())
            .append("batch", getBatch())
            .append("course", getCourse())
            .append("eduLevel", getEduLevel())
            .append("dataType", getDataType())
            .append("title", getTitle())
            .append("collegeCode", getCollegeCode())
            .append("collegeEnrollCode", getCollegeEnrollCode())
            .append("collegeName", getCollegeName())
            .append("majorCode", getMajorCode())
            .append("professionEnrollCode", getProfessionEnrollCode())
            .append("majorName", getMajorName())
            .append("cost", getCost())
            .append("learnYear", getLearnYear())
            .append("learnYearText", getLearnYearText())
            .append("planNum", getPlanNum())
            .append("remark", getRemark())
            .append("chooseSubject", getChooseSubject())
            .append("chooseSubject2", getChooseSubject2())
            .append("chooseSubjectText", getChooseSubjectText())
            .append("rowIndex", getRowIndex())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("location", getLocation())
            .toString();
    }
}
